* {
	cursor   : default;
	padding  : 0;      /* Pour annuler toutes les différences entre IE et FF, on définira explicitement les marges, bordures et padding nécessaires sur chaque élément */
	margin   : 0;
	border   : 0;
	vertical-align : middle;
	font-family : Arial, Helvetica, sans-serif;
}

body {
	visibility : hidden;
}

html, body {
	height : 100%;
	width  : 100%;
	overflow : hidden;
	position : absolute;  /* Indispensable sous IE7 sous peine de voir disparaitre des éléments du flot normal lorsqu'ils sont recouvert par des éléments absolus */
	scrollbar-base-color   : #D3EAFF;
	scrollbar-face-color   : #D3EAFF;
	scrollbar-arrow-color  : #4A7BD6;
	scrollbar-shadow-color : #76A4D8;
}

/* Sous IE, cache la croix qui s'installe dans tous les input text */
::-ms-clear {
	display: none;
}

::placeholder {
    color: lightgray;
    _font-size: 90%;
}

body, td, th, input, select, textarea {
	font-size : 11px;
}

hr {
	padding : 4px 0;
	background : url( ../img/bkgnd/hLine.gif) repeat-x center;
}

/* Dernière version de chrome injecte table { color: -internal-quirk-inherit; text-align: start;} */
table {
    color     : inherit;
	text-align: inherit;
}

.hideHALScreenDefs {
	display : none !important;
}

.inlineBloc {
	zoom	: 1;
	display : -moz-inline-box;
	display : inline-block;
}

.enumImg {
	zoom	: 1;
	display : -moz-inline-box;
	display : inline-block;
	width   : 20px;
	background-position : center;
	background-repeat   : no-repeat;
}

.toolTip {
	position : absolute;
	z-index  : 30000;
	border   : 1px solid black;
	padding  : 2px;
	background-color : #FFFF99;
}

.hidden {
	display:none;
}

.transparent {
	visibility : hidden;
}

.whiteSpaceNoWrap {
	white-space : nowrap;
}
.normal {
	font-weight: normal;
}
.bold {
	font-weight: bold;
}
.bigger {
    font-size : 110%;
}
.italic {
	font-style : italic;
}
.lower {
    text-transform : lowercase;
}
.upper {
    text-transform : uppercase;
}
.capitalize {
    text-transform : capitalize;
}
.propFont, .propFont * {
    font-family    : "Courier New", Courier, monospace;
    letter-spacing : 0.5px;
    white-space    : pre;
}
.strikeOut {
	background-image:url(../../hfs/img/bkgnd/hLineGray.gif);
	background-repeat:repeat-x;
	background-position:0px 50%;
}
.underline {
	text-decoration: underline;
}
.baseline, .baseline * {
	vertical-align : baseline;			
}
.baseline input[ type=checkbox], input[ type=checkbox].baseline {
	vertical-align : middle;
}
.baseline img, .middleline img {
	vertical-align : bottom;
}
.middleline, .middleline * {
	vertical-align : middle;
}
.lineThrough, .lineThrough * {
	text-decoration: line-through;
}
.fixedFont {
	font-family : "Courier New", Courier, monospace;
}
.clickable, .clickable * {
	cursor : pointer;
	cursor : hand;
}
.clickable:hover, .clickable:hover * {
	text-decoration : underline;
}
.leftText {
	text-align : left;
}
.rightText {
	text-align : right;
}
.centerText {
	text-align : center;
}
.justifyText {
	text-align : justify;
}
.alarm {
	color:red;
}
.noalarm {
	color:green;
}
.emoji {
}
.emoji150 {
    font-size: 150%;
}
.emoji img, img.emoji {
    width: 20px;
}
.emoji2 {
}
.emoji2 img, img.emoji {
    width: 20px;
	float: right;
}
.textNoWrap {
	white-space : nowrap;
	text-overflow   : ellipsis;	
}

input, select, textarea, button {
	-moz-user-focus  : normal !important;
	user-focus  : normal !important;
}

input, select, textarea {
	-moz-user-select : normal !important;
	user-select: normal !important;
	font-weight : normal;
}

input, textarea {
	cursor : text;
}

.checkBox, .radioButton {
	cursor : default;
}

textarea {
	overflow: auto;
    resize: none; /* retirer la flèche de redimensionnement */
}

ul {
	padding : 4px 20px;
}

select {
	border: 1px solid #999;
}

iframe.overload {
	position: absolute;
	z-index: 0;
	overflow:hidden;
}

.ajaxFrameCover { /* élément div placé dans un cadre ajax pendant son rafraichissement */
	width  : 100%;
	height : 100%;
	overflow : hidden;
	background : white url( ../img/loading/serie1/12.gif) center no-repeat;
}

/* Fenêtre de debug */

.halDebugWindow .content div {
	border-top : 1px solid gray;
	padding-top : 2px;
}

/* Drag and Drop  */

.disableTextSelection {  /* Pour interdire la sélection de texte pendant une opération de D&D */
	-khtml-user-select: none;
	-ms-user-select:none;
	-webkit-user-select:none;
	-moz-user-select:none;
	user-select: none;
}
.disableTextSelection input, .disableTextSelection textarea {
	-khtml-user-select: normal;
	-ms-user-select:normal;
	-webkit-user-select:normal;
	-moz-user-select:normal;
	user-select:normal;
}

.dragSourceShape {
	position : absolute;
	text-align: center;
	border: 1px solid gray;
	background-color: #CCFFCC;
	vertical-align: middle;
	z-index: 20002;
}

.dragTargetShape {
	position : absolute;
	text-align: center;
	border: 1px solid gray;
	background-color: #FFCCFF;
	vertical-align: middle;
	z-index: 20001;
}

/* Resizing d'élément */

div.elementResizer {
	position : absolute;
	overflow : hidden;
	border   : 2px solid gray;
	z-index  : 20000;
}

/* Fenêtres popup */

.popupWin {
	position : absolute;
}

.popupWin, .popupWinBackground {
	background-color: #E9F4FD;
}

.popupWin tr.statbar {
	height  : 0;
}
.popupWin tr.statbar div {
	white-space: nowrap;
	overflow : hidden;
}
.popupWin table.noresize td {
	cursor : default !important;
}
.popupWin .showStatBar tr.statbar {
	height : 20px;
}
.popupWin td.topLeft {
	background: no-repeat top left url( ../img/popupWin/top_left.gif);
	cursor : nw-resize;
}
.popupWin td.topMiddle {
	background: repeat-x url( ../img/popupWin/top_middle.gif);
	cursor : pointer;
	color  : white;
}
.popupWin td.topMiddle * {
	cursor : move;
}
.popupWin td.topMiddle div {
	font-weight : bold;
	overflow : hidden;
	white-space : nowrap;
}
.popupWin td div.buttonClose {
	background: no-repeat center center url( ../img/popupWin/close.gif);
	height :23px;
	cursor : default;
}
.popupWin td div.buttonMin {
	background: no-repeat center center url( ../img/popupWin/minimize.gif);
	height :23px;
	cursor : default;
}
.popupWin td div.buttonMax {
	background: no-repeat center center url( ../img/popupWin/maximize.gif);
	height :23px;
	cursor : default;
}
.popupWin td.topRight {
	background: no-repeat top right url( ../img/popupWin/top_right.gif);
	cursor : ne-resize;
}
.popupWin tr.middle td, .popupWin td.leftBorder, .popupWin td.rightBorder {
}
.popupWin tr.middle {
}
.popupWin td.leftBorder {
	background : repeat-y url( ../img/popupWin/left.gif);
	cursor : w-resize;
}
.popupWin td.rightBorder {
	background: repeat-y right url( ../img/popupWin/right.gif);
	cursor : e-resize;
}
.popupWin td.bottomLeft {
	background: no-repeat url( ../img/popupWin/bottom_left.gif) left bottom;
	cursor : sw-resize;
}
.popupWin td.bottomMiddle {
	background: repeat-x url( ../img/popupWin/bottom_middle.gif) bottom;
	cursor : s-resize;
}
.popupWin td.bottomRight {
	background: no-repeat url( ../img/popupWin/bottom_right.gif) right bottom;
	cursor : se-resize;
}
.popupWin td.content div.content {
	overflow:hidden;
	padding : 1px 0;
}

/* Séparateurs */

div.separator {
	overflow: hidden;
}

span.separator {
	zoom : 1;
	display : -moz-inline-box;
	display : inline-block;
	vertical-align: middle;
}

.separator + .separator {
	display : none; /* pour masquer des séparateurs consécutifs */
}

/* QuickSearch */

div.quickSearch {
    z-index       : 1500;
    position      : absolute;
    bottom        : 0;
    display       : none;
    padding       : 4px 4px;
    margin        : 4px;
    border        : 1px solid lightgray;
    border-radius : 10px;
    font-weight   : bold;
    background    : ivory;
    min-width     : 200px;
}
div.quickSearchContent {
    max-height            : 700px;
    overflow-y            : auto;
}
div.quickSearchContent div {
    border-bottom         : 1px solid lightgray;
    vertical-align        : middle;
    padding               : 10px 24px;
    background-repeat     : no-repeat;
    background-position-y : center;
    background-size       : 18px;
}
div.quickSearchContent div.active {
    color : red;
}
div.quickSearchContent div.precedent {
    display    : none;
    background : url( ../img/std/prev.gif) no-repeat left center;
}
div.quickSearchContent div.hasChildren {
    background : url( ../img/std/next.gif) no-repeat right center;
}
div.quickSearch div.command {
    background-position-x : left;
	vertical-align        : baseline;
}
div.quickSearch div.command span.search, div.quickSearch div.last span {
    display     : none;
    font-size   : 85%;
    font-weight : normal;
    color       : gray;
}
div.quickSearch div.last span {
    display : block;
}
div.quickSearch input {
    height : 24px;
    margin : 4px 0px;
    border : 1px solid lightgray;
    width  : 100%;
}
.followLink span {
	-webkit-transition : color .1s linear;  
	-moz-transition    : color .1s linear;  
	-o-transition      : color .1s linear;  
	-ms-transition     : color .1s linear;
	transition         : color .1s linear;
	color              : #4A7AD2;
}				
.followLink span:hover{
	text-decoration : underline;
	color           : violet;
	cursor          : pointer;
	cursor          : hand;
}
.noClickableLine { color:rgb(200,200,200);}

.lien {
    color           : blue;
    text-decoration : none;
	cursor          : default;
}
.lien:hover {
	cursor : pointer;
	cursor : hand;
}
.lien:hover, .link:active {
    color           : hotpink;
    text-decoration : underline;
}

/* SignalSizesAndPositionCanBeSaved */

span.sizesAndPosition {
	cursor     : pointer;
    cursor     : hand;
    position   : absolute;
    top        : 0;
    left       : calc( 100% - 12px);
    background : url( ../img/small/resize.png);
    width      : 12px;
    height     : 12px;
    z-index    : 10;
}
